## mauku 0.5.6

=== debian/changelog ===
mauku (0.5.6) unstable; urgency=low

  * New icons by Thomas Perl and Tango Desktop Project (depends on
    separate mauku-contrib package).

 -- Henrik Hedberg <hhedberg@innologies.fi>  Thu, 30 Aug 2008 12:00:00 +0200

mauku (0.5.5) unstable; urgency=low

  * Fixed a bug (disconnect a change-font-size signal handler from a view).
  * A new window inherits its font size from a parent window now.
  * Removed dh_strip from debian/rules to save debugging information
    (the difference in size is under 50 kB).

 -- Henrik Hedberg <hhedberg@innologies.fi>  Tue, 19 Aug 2008 08:45:00 +0300

mauku (0.5.4) unstable; urgency=low

  * Added visible warning if an update fails.
  * Fixed reply to a tweet functionality.

 -- Henrik Hedberg <hhedberg@innologies.fi>  Wed, 13 Aug 2008 19:00:00 +0300

mauku (0.5.3) unstable; urgency=low

  * http.c: 770 has older libcurl, which does not contain curl_easy_escape.
  * Added Twitter specific features: view sent and received direct messages
    and received @replies.
  * Fixed a couple of small bugs (for example, preventing posts to channels).

 -- Henrik Hedberg <hhedberg@innologies.fi>  Tue, 12 Aug 2008 19:00:00 +0300

mauku (0.5.2) unstable; urgency=low

  * Fixed a bug causing Mauku to crash when sending Jaikus or Tweets
    with non-ascii characters.
  * Linked against Miaouw Library 0.5.3 to provide even better debugging
    information.

 -- Henrik Hedberg <hhedberg@innologies.fi>  Mon, 4 Aug 2008 12:45:00 +0300

mauku (0.5.1) unstable; urgency=low

  * Fixed a severe bug causing Mauku to crash too often. See:
    http://hhedberg.jaiku.com/presence/41603956

 -- Henrik Hedberg <hhedberg@innologies.fi>  Sun, 3 Aug 2008 20:45:00 +0300

mauku (0.5.0) unstable; urgency=low

  * Added support for Twitter!
  * Enhanced double tap and gestures.
  * Added ability to mark items.
  * Refactored the architecture a little.

 -- Henrik Hedberg <hhedberg@innologies.fi>  Sat, 2 Aug 2008 10:10:10 +0300

mauku (0.4.2) unstable; urgency=low

  * Enhanced gesture visibility.

 -- Henrik Hedberg <hhedberg@innologies.fi>  Thu, 10 Apr 2008 21:00:00 +0300

mauku (0.4.1) unstable; urgency=low

  * Gestures.
  * Update thread priority lowered (meaning that a nice value has been
    incremented).

 -- Henrik Hedberg <hhedberg@innologies.fi>  Wed, 9 Apr 2008 23:30:00 +0300

mauku (0.4.0) unstable; urgency=low

  * Linked against Miaouw Library 0.4 to change visible scrollbar to
    scrolling hint. Changed also settings to disable scrollbar by default.
  * Restructured the view update process to use adding session and to check
    if an item already exists before parsing it.
  * Added text-to-speech functionality using optional flite package.
  * Added LED support. Affects also installation procedures.
  * Probably something else too. :)

 -- Henrik Hedberg <hhedberg@innologies.fi>  Sat, 17 Feb 2008 20:30:00 +0200
    

mauku (0.3.2) unstable; urgency=low

  * Displays a preview of flickr photos now.
  * Made overview window "permanent".
  * Changed the DBUS name from com.nokia.mauku to com.henrikhedberg.mauku.
  * Fixed a bug causing the old items staying forever.

 -- Henrik Hedberg <hhedberg@innologies.fi>  Sun, 18 Nov 2007 19:00:00 +0200

mauku (0.3.1) unstable; urgency=low

  * Fixed a memory leak bug related to a view item destroy.
  * Fixed a bug causing the sending of comments into a channel.

 -- Henrik Hedberg <hhedberg@innologies.fi>  Fri, 9 Nov 2007 17:30:00 +0200

mauku (0.3.0-1) unstable; urgency=low

  * Refactored the implementation: many internal modifications.
  * Added a context menu (tap and hold).

 -- Henrik Hedberg <hhedberg@innologies.fi>  Thu, 8 Nov 2007 18:30:00 +0200

mauku (0.2.10-1) unstable; urgency=low

  * Added a timeout of 5 minutes for network transfers.
  * Connection management is simplified. Thus, it should be more stable now.
  * Timestamps are now updated continously.
  * Old items are archived for selected period of time (text color is changed
    to brown) but not updated anymore (since Jaiku JSON feed does not contain
    those).
  * A concept of top-bottom-widget is replacing modal dialogs. Jaikus and
    comments can be send without blocking the GUI now.
  * The icon selection dialog is modified to use the MiaouwScrolledWindow.
  * A menu option for disabling new item notifications is introduced.
  * Removed rarely used items from the toolbar to make more room for those
    wanting to use fingers.

 -- Henrik Hedberg <hhedberg@innologies.fi>  Mon, 29 Oct 2007 16:30:00 +0200

mauku (0.2.9-3) unstable; urgency=low

  * Modifications for the Chinook: from osso-ic to libconic, from hildon-libs
    to hildon-1 and other minor things.
  * Slowed the kinetic scrolling a bit.
  * Added Open Your Jaikus, Show Scrollbar, and Close This Window menu options.

 -- Henrik Hedberg <hhedberg@innologies.fi>  Mon, 22 Oct 2007 18:00:00 +0300

mauku (0.2.8-2) unstable; urgency=low

  * Added kinetic scrolling (implemented MiaouwScrolledWindow from scratch).
  * Changed the location update procedure since the web interface had changed.

 -- Henrik Hedberg <hhedberg@innologies.fi>  Sun, 7 Oct 2007 20:00:00 +0300

mauku (0.2.7-4) unstable; urgency=low

  * Changed Jaiku posting to use the official API since the web interface
    hack did not work anymore. (Commenting uses still uses the hack.)
  * Added panning i.e. the possibility to scroll view without scrollbars
    by dragging the pen in the window.

 -- Henrik Hedberg <hhedberg@innologies.fi>  Fri, 5 Oct 2007 19:00:00 +0300

mauku (0.2.6-1) unstable; urgency=low

  * Fixed a concurrency related issue causing UI to freeze. Update location
    function was changing the UI but not surrounded by gdk_threads_enter/leave
    statements.
  * Modified URL parsing to stop when end parenthesis ')' is found, and to
    remove extra dots '.' from the end.
  * Added a version check and possibility to autoupdate the application.
  * Fixed a bug causing crash when channel icon was clicked in overview.



## mauku 2.0-alpha1

=== Makefile ===

all: mauku

mauku: main.o mauku-widget.o mauku-item.o mauku-view.o mauku-contacts.o mauku-write.o mauku-scrolling-box.o miaouwmarshalers.o
	@echo Linking $@...
	@$(CC) -g -O0 -o $@ $^ $(LIBS) $(shell pkg-config --libs microfeed-subscriber-0 hildon-1)

%.o: %.c
	@echo Compiling $<...
	@$(CC) -g -c $(CPPFLAGS) $(CFLAGS) $(shell pkg-config --cflags microfeed-subscriber-0 hildon-1) -o $@ $<

clean:
	@echo Cleaning....
	@rm -f mauku *.o

install: mauku
	@echo Installing...
	@mkdir -p "$(DESTDIR)/usr/bin"
	@cp -f mauku "$(DESTDIR)/usr/bin"
	@mkdir -p "$(DESTDIR)/usr/share/mauku"
	@cp -Rf images "$(DESTDIR)/usr/share/mauku"

uninstall:
	@echo Uninstalling...
	@rm -f "$(DESTDIR)/usr/bin/mauku"
	@rm -Rf "$(DESTDIR)/usr/share/mauku"

## mauku 0.6.0

=== debian/control ===
Source: mauku
Section: user/communication
Priority: optional
Maintainer: Henrik Hedberg <hhedberg@innologies.fi>
Build-Depends: debhelper (>= 4.0.0), autotools-dev, libmiaouw-dev, libcurl3-openssl-dev, json-dev, libtinymail-1.0-0-dev, libconic0-dev, libtinymailui-1.0-0-dev, libtinymailui-gtk-1.0-0-dev, libtinymail-camel-1.0-0-dev, libtinymail-maemo-1.0-0-dev, libhildon1-dev, libosso-dev
Standards-Version: 3.6.2

Package: mauku
Architecture: any
Pre-Depends: maemo-select-menu-location
Depends: ${shlibs:Depends}, ${misc:Depends}, mauku-contrib (>= 1)
Description: The micro-blogging client for Maemo devices
 Mauku brings micro-blogging into the Maemo environment. It
 currently supports Jaiku and Twitter. The application works
 in all Nokia Internet Tablets, i.e. Nokia N810, Nokia N800
 and Nokia 770.
 .
 Homepage: http://mauku.henrikhedberg.com/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


# hhedberg 20070822
#CFLAGS = -Wall -g
CFLAGS = -Wall
# /hhedberg

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS) -Wl,-z,defs" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/mauku.sgml > mauku.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/mauku.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/mauku


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	
# hhedberg 20070817 for 770 
#	cp $(CURDIR)/debian/mauku.substvars.770 $(CURDIR)/debian/mauku.substvars
# /hhedberg

	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## mauku 0.6.1

=== debian/changelog ===
mauku (0.6.1) unstable; urgency=low

  * Linked against new the new JSON-C library version 0.8. That fixes
    Twitpocalypse bug.
  * Small fix to jaiku.c to handle UTF-8 strings correctly.

 -- Henrik Hedberg <hhedberg@innologies.fi>  Tue, 16 Jun 2009 08:55:00 +0300

mauku (0.6.0) unstable; urgency=low

  * Updated Mauku to support new Jaiku API.
  * Removed location support for now, because Jaiku does not support it
    anymore.

 -- Henrik Hedberg <hhedberg@innologies.fi>  Sun, 15 Mar 2009 23:59:59 +0300

## mauku 0.6.2

=== debian/changelog ===
mauku (0.6.2) unstable; urgency=low

  * Forced Application Manager to update also the JSON-C library.

 -- Henrik Hedberg <hhedberg@innologies.fi>  Tue, 16 Jun 2009 20:15:00 +0300

## mauku 2.0-alpha1

=== debian/changelog ===
mauku (2.0-alpha1) unstable; urgency=low

  * First alpha release of Mauku 2.0 application.

 -- Henrik Hedberg <henrik.hedberg@innologies.fi>  Mon, 3 Aug 2009 22:00:00 +0300

=== debian/control ===
Source: mauku
Section: user/social
Priority: optional
Maintainer: Henrik Hedberg <henrik.hedberg@innologies.fi>
Build-Depends: cdbs, debhelper (>= 5), libmicrofeed-common-0-dev, libmicrofeed-subscriber-0-dev, libhildondesktop1-dev, mce-dev
Standards-Version: 3.7.2

Package: mauku
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, microfeed
Description: The micro-blogging client for Maemo devices (application)
 Mauku is the micro-blogging client for Maemo devices.
 It supports, for example, Twitter and compatible services.
 .
 This package contains the main application.

## mauku 2.0-beta2

=== debian/changelog ===
mauku (2.0-beta2) unstable; urgency=low

  * The second beta release of Mauku 2.0 application.

 -- Henrik Hedberg <henrik.hedberg@innologies.fi>  Sun, 23 Aug 2009 23:20:00 +0300

mauku (2.0-beta1) unstable; urgency=low

  * The first beta release of Mauku 2.0 application.

 -- Henrik Hedberg <henrik.hedberg@innologies.fi>  Mon, 3 Aug 2009 22:00:00 +0300

=== debian/control ===
Source: mauku
Section: user/social
Priority: optional
Maintainer: Henrik Hedberg <henrik.hedberg@innologies.fi>
Build-Depends: cdbs, debhelper (>= 5), libmicrofeed-common-0-dev, libmicrofeed-subscriber-0-dev, libhildon1-dev, mce-dev
Standards-Version: 3.7.2

Package: mauku
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, microfeed
Description: The micro-blogging client for Maemo devices (application)
 Mauku is the micro-blogging client for Maemo devices.
 It supports, for example, Twitter and compatible services.
 .
 With Mauku, you can post Tweets, a short blog posts about what are you
 doing. You can also follow what are your friends doing, and comment
 their Tweets.
 .
 For more information, visit http://mauku.innologies.com/ .
 .
 This package contains the main application.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A
 /wD/oL2nkwAAAAlwSFlzAAACQAAAAkABgV+WigAAAAd0SU1FB9kIFQYcLpB+JwsAAAQlSURBVEjH
 7ZZfaFtVHMc/9978aZO0aRvTkv5ZTSmzk61dpw4KFkHMLFOwsg0VRh8sKEP2UhAZmxuYhzHEPDic
 W0EoOlB0dfZBNqZbLStZGVtL/2grTK9d24UuTWLXprlN773Hh5Sw0E7mwD6IP/i9nO8553vu98v5
 ngv/tZKEEOsCqqpaZFlucjgcbTabrVmW5WJZlp2yLOcBmKapmaaZNE0zkU6nry4tLX1umuY1v9+v
 PxSRqqoup9N53Ol0vpWfZ7fJ8WGYuQL3VNDmMg2Q91imC/1Q8TxmSQMpbTmdTCY7k8nkIb/fv/hA
 ounp6ZeKi4u7nVbdznAIxj4BLfZw2uR5YOs70NBBcsWynEgk9lRWVn6/higSibzt8Xg+td3tk7j0
 OizHH80Mewns+op06XMiFosd8Pl8ZwDkVbm8brf7pG3mgrR0fjeXR+JoK/+cQ1uByyNxls7vxjZz
 QXK73SdVVfVmvygajX7nLXa9wpdPwOIU5YdgYVmhyW/wQh1sr4TUCvwSgZ8joEjwpC/T+VYYnIIf
 J+CaqlBgN7hzHHBVwRu/Ek0s9ni93lZUVd2maZopbgSFOIUQpxD7dyK6u7vFxYsXRXV1tbAqCFi/
 bQqiublZhMNhceTIEbF/J9l9xI2g0DTNVFV1m+xwOA7bFUNi6ERWgsAWCIfD9Pf3Mzk5yYrxYLnS
 RmZuJBKht7eXwJb7wKET2BVDcjgch6VYLDZcYt6u55vGLH5nHmo/yCeVSj20P1arFSEEk0Gdcvd9
 wL4h4vKmEYvFYqni7kTOonI37ChPYZY2MTExQSKR+FuSiooKPB4PJdpILgnAnxNYSmuqZEVRClm4
 vfZaWCAYDBKNRjl79iwul2vNnOrqavr7+5menqatrQ2nbZ1TLNxGUZRC2TCMexRsWoO782Fubo7B
 wUHa29sJhUI5uM1m4/Tp07S2thKPx4nH47jz1yEq2IRhGPdkXdenKKpDCPgtCuZqUDRWQUdHBwMD
 Axw9epT29nacTmd2fX19PS0tLQQCAXp6egiFQjRWZTBzdS8hgKI6dF2fsui6Pk7J5voULj7+aZE/
 YmCYYLfA8vwdjh07RiAQoKuri5qaGkZHRzM+lpfT2dlJKpXi4MGDFFo1BlR4+RQoMjzugeN7XTiK
 NqPHF8clVVW3+Xy+YfvYhxLX38+eOJmGrwfhvW8hel889vX1kU6nCQQC2bHSAvhoD7y6nVyfdgZZ
 3vquiEQiDWuSQSxM8VkYuofA44IDzfDFdbh6C25FoaHxGUzTZGz4JrVeeLYWXnsKzlyF+RTs3QFv
 NoFUkJsMkhACVVW9ZWVlM47ZH6xc2su5mzovboGCvFxfDRN+nwNZykijyLn4fAoujcO+py2w6xxL
 ZYGV2dnZCr/fH92w9N7492hDX9h/85/h/3rk+gugsT/3ALPOFwAAAABJRU5ErkJggg==

## mauku 2.0-beta3

=== debian/changelog ===
mauku (2.0-beta3) unstable; urgency=low

  * The third beta release of Mauku 2.0 application.

 -- Henrik Hedberg <henrik.hedberg@innologies.fi>  Tue, 2 Sep 2009 08:00:00 +0300

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: mauku
-Section: user/social
+Section: user/network
 Priority: optional
 Maintainer: Henrik Hedberg <henrik.hedberg@innologies.fi>
 Build-Depends: cdbs, debhelper (>= 5), libmicrofeed-common-0-dev, libmicrofeed-subscriber-0-dev, libhildon1-dev, mce-dev

## mauku 2.0-beta4

=== debian/changelog ===
mauku (2.0-beta4) unstable; urgency=low

  * The fourth beta release of Mauku 2.0 application.

 -- Henrik Hedberg <henrik.hedberg@innologies.fi>  Tue, 6 OCt 2009 23:00:00 +0300

=== debian/control ===
Source: mauku
Section: user/network
Priority: optional
Maintainer: Henrik Hedberg <henrik.hedberg@innologies.fi>
Build-Depends: cdbs, debhelper (>= 5), libmicrofeed-common-0-dev, libmicrofeed-subscriber-0-dev, libhildon1-dev, mce-dev
Standards-Version: 3.7.2

Package: mauku
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, microfeed
Description: The micro-blogging client for Maemo devices (application)
 Mauku is the micro-blogging client for Maemo devices.
 It supports, for example, Twitter and compatible services.
 .
 With Mauku, you can post Tweets, a short blog posts about what are you
 doing. You can also follow what are your friends doing, and comment
 their Tweets.
 .
 For more information, visit http://mauku.innologies.com/ .
 .
 This package contains the main application.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI
 fAhkiAAAAAlwSFlzAAANSgAADUoBJz9qsgAAABl0RVh0U29mdHdhcmUAd3d3
 Lmlua3NjYXBlLm9yZ5vuPBoAABBXSURBVGiBtZlpcJ5Xdcd/9z7bq3fRvtla
 bUuWLHmRLTtOsBM7DrQJk1CSqSikgUApQ0NTmM60lAkF27RlCgzBGVJCIQGG
 KVAsSMgQQkoINgnY2eRVtrzIsi1LliVZ67s+2739IOzYRLIT4pxPz4d7z/n/
 7nruc4TWmmttAkRHJ7JvIY7pkPDSlAiLfC0QNkx5MJpMMN3bgKfhLQkQ1xpA
 gNgIRraXqD9KubRYoDWNSOYBSMGZIOAgFr1SMdm1mkDrPx3CvGbKmRHf3oUZ
 2MQDj2pp0WoJteqvwqPvafGHapIy4n3duu7ZlGkKQpKeTQZNcGl/tiIA2IxG
 wNXg3hSAAEEnsqMD6ITOw2i2oLVGC4HYqDHGbOIyR50SrGqU6T//O/eVO5r6
 HoqUDf9CZOJN0cSyh2//gr3uXEaax/MFg1sgK4CNOzE2gjnagVk4gVC7CRyN
 LyC80jJ7Q0tIgNi4EyOZwPZsHDPAjDiE6QC3eBx350bCjk5k/0piYYZaFbB6
 Nec7Pjr93LuWHfwHy3JHL/oaqvmQfqjxq8/v1KXbzIDdwVrGp3qRZR4xL0uR
 0OQriZSKlBaMTY2Q7L1t7r1y1RkQIOt3YicTxLWgLBJQrkNibopc1GRo1GG4
 8RnSR5sw5RgVps3SeeQ23Zve9c62vR+2ZJi7zF9+slss8M+V/4ZSB7DoIlqk
 yA8saoRkkVbMR2EKyVkFPdEC+tq7mBDtBLNBXBFAdGIsbyJiJSiRkvpQ06wU
 jQgKhcGUB92WyT67gkF/kogZZ5Gp1ZpPuS/e1Xbg7+0/Fg9g+pMU6oxjRQhd
 l4j0iSuLRSKgrUkm193ld19XoLORV42qw51G03fNCJncNBm2ErL5TQC8rxOj
 tZU8c4pK7dCMYtUGffbWW70jKyztml1W/eiPzCVPGRYpEeBpiwKhWfop/9W7
 2459IWpnB2b1m43W02+Un9MhyjQoBWoRrLk7PHrXjclX61oO/Yth585SsfQr
 q3SpmewUi/oiCc52bCY7m79ZAbaCnGoi4uSoxGFZVAc3fTzY94G2iZ1ljT2b
 pRFmKG/eOs8rf//NT1iLe4EpYVN2mzpz+6rhn5QXje4Qcw3MeGF7OCDyB0KB
 LSWNWrH6s/7uD604/WhBbf93LvZr6v60kVy37PqfRhYVeT6Rvi4k7YRXBRBb
 kTf8GY4WlGmTFkeo9Z/zdv1t29EtseLzrwlrOrJFri+8rvZxY3GpgEqpqb85
 ON5e3/ewnEs8wHjxen8fhceEpkRrGu8Nuu9q63+soOYS8QAChelNGDEnjIW2
 YeQcZh0UeXknRGsHZmBSEJo0SMGa+4O99yw/9m+XiZ8xjRUmpQBHGBQ3i9Ty
 kun9ERnOOtMAeNE6Bq3y866WPrBgrRredNPUjvk1px+bVZzlT1KiXce0UJHs
 7KfQZQAdnchIlrzQoEpLlt2pTty5+lxnaenor2cNYCoXGyW1Ir5En2+sGXry
 iofC0cbP+E/aLS8IQbRK5No+mNvdsqT7n+ecMdcuC/t1dBiJn0heBUCA2LsS
 M/QpAhatUOO33Jr8fdOi41+eM0DOLAhdLdMarLJgoshyh+cUP1F2sz6YuO7U
 YZ3fpwXl9+d2rVu+/xOGVO7sHYTEN2M5TKZFCr9s9OozIAqmiBgWFaZSS+71
 um5ZeuB+c65LUEmbnBF3EUxJUAmdi5hBcta2brSOw40PpL9tt/1UAEtEsrlq
 Ypdt54bmBE4WruaULDksfCatArzOw1cBaO/CCEziWlC1kZGb5g89YRtzCAKY
 KNukD9g1PVIxFmqyvea88XS8+XXtvGgte9u+lfmKfeOjOSUHNCTekzvYWnf6
 sStu9oHae3JPm01P+orJXIpw4wakACm4fDNLmFk+dgWmzFEgNFU3e0dWVQ38
 8IoB+qvv9p6l+jklOSsNxvZSdmZg3nvVpW3GyzbprpXfyXw1cuO3hnFeVJKM
 0BRVqKk8J3NqTt9etI6RWOtYD4mDSuCbAYlkgsK1vcQberHFJQN/YdMJNYgl
 TRJIShPhZJ7pT80ZIFW0hsG8hnNjRLqBswjUaRnr/l3+TcvzFj9QHs32c75k
 Q9gdXzn4mLHi+0nMlySMiZBmLUmY2r3C4Ah6Wr+cfdS57ptmgKssqgJNTAtE
 OMlEkWaovYuxre3kNoO6eGq4DtLSRFAq3wyzcwZQ0qGneWvum1b7twOPPqEY
 1jF8A/Z/z17uHKuqWgWoYR3pOyFiu0KDw6FBv5EhIi2ErbUjw9ycF93JxQ8E
 uyMtvz+h4qe0SY3Q1BTjLoxqZZ8VeT2hZI/lc+h/fsnoltvwLgLEU4hMFKOQ
 MM8IM7MHEJIjyx70n7Zbnz6P/YrQDMoIUxkPL2KxT2imd+uS/dogUDBiBpzJ
 RRjO5cjGIxRLReghgqxZOOuGPLn40+ELFXcd+J659OcipLIIr+V+75X3VmWP
 JUx/itOF109+0br+QSUZLylmuhf8iwCpAC1CgilppbJOpXqddyE5vPTB4BeF
 73r+GVH7Q1xOSIfJrp/jNdxDaGUYEi6+NhkxwBQ+mcAmbYSoaBYpJaF2yAhI
 jpiFXi7emBdJHQcgNGL0LtkSdBXe3POwXLVdQuH1YvjmD2S71rUeecCKTe4H
 oKT6/SX315sf3GavPuj6nN64k8wMwFYo7CBIZkkBYyNGcSobayjOS/cC4EUq
 6Wn9kv+b2NrfdYrGR6XgUEQzYiXx2u9AMEUESCApV4rqUFIgDQKtmbJ9xpTF
 mDTIBZAyJIOPmquOzFv+8PLG/kdl2q7U5ypvd3/itP3yBVW+S0piy5m86cPp
 525cuvdjhhFmLo7hvIH/FXW1H6mSigQGdjKBmAHYjD61k6AszmSo6X/EWf2r
 4hWPvLdq9Fk755SrkYL29KP26h/3GvFfC0V3OM25/Cq8s6dwTMhXIVXCpElo
 lhqaBqBYCZRUpBCMYHEaRa8BSRFyYhI7/z/zNkw2Na4q9JGje8P83TlhDgoo
 KMZb9lH3pZta9913mfgLZgUpM7QxnRhCLf3DKaRBv28j/pGDTERyHJvU1gtf
 cm5MV1evqcphjB8jvicUHJGSU1mb8QIX2X+Womg5JWHIQmmwVMPytYysuTM8
 XOcEaTktEvqYUeZ2UT1xRCdOacEhDXtCzTnT4Plh7XSP4GhCxjVMoyiVQi38
 R/fFdy8/8EnLDKZn3YYKqUyJ54WoItAX90AnqFaDtOVz2nUIz+OcOW86UaEI
 lCZlhKRCiOVlibkGjh2jSAUskIKWVjG59m7/QEtVeqc5f+QxIVUaJSxWR5qi
 mwpui56Mb6j4b2Nl4SiOZ0hGQ0FPqAgMSWhoECGVWlB1n7/vL1acfDAvL3Vs
 VvFaGLgy5oYhGW3il10KoEGLFvwbOkmykLOAkgEVoaIESamSRAmJYhIREBVQ
 UindRff6+1c2pn8frR15WBjha3eH1D6RbDf12W7mO9vNWM22ps8b688EiANC
 c1hnGdZxtBYUC4PSWpFd2ZbqqigfenLOIzabaGHEzB/QJlNS4XVeCgAz2Wh/
 G5Z2KRIuDaFmmRAszCeYX6UzxZUyV1CpJqMFOuMktOvUhANO49AXpe2enism
 ALZ7moax75m3lNY3PSNrigFbBfhZFxkzKLCg7g7v8LqFJ79hXMnPmZq7/efs
 5l9JxYQ/hs+lAGIrcvmdRKxp5iNo15r1NnrFR3T30mVuTzSWOyoKc0eE7Q9h
 qBRGmMTwR68Q7nKLZw6ygPOFUFMoFZFIgBExsZSmRAtqFofDpbGpfXP2V0Ye
 EwUrs/tUwcumzURuCl9fABAgOjow+7KUCM1SIbixSuY2fMJ/qaF59OtGwfTO
 Nyx0LrP8IUpVOg9JgRbEKMLybCK2R1FMB1VWbuSKudeJxZ8JnrWan9KCM0Gc
 5CFmnpcXc6FRjygBtRisLNTemn8Kftu45NT90gwn3rJ4AKGyxHFNrSnWUGxq
 IlYKB5toqXCLHW9kzrWfKVjGieJNQ09R91MBQ+WKHB0o+ENW13oYc0pToAwW
 IGn+eLivpWnw89dM/AWLBKMyKsN5UlDtSsqIkAdYvjRQ0pm1jxutZ1/rg9Pf
 dNZsE5LjkTgTaxtmlg/8Ib+OZDEtKBRQW012UX1uv23nTlxT8QDFqVflSj3e
 ACy1oBlNsdAwQCSZylv4uvzIi9axt+1b6a9G1n9tJHReBIZyKXJbLnllSbYi
 zABTBxQIQcUKNTy/curpOafzrdi8iR9zt/tC5XI9fiOCdyBp0AJDKqb7rHnZ
 8xW3AaCR9C+4T/2u7bsTX4us23YmjOxQkpNTIyS7/ugPnQkzqbQRzuQzK9Vg
 fiyz9+3Qj1BZmvs/KT9W+1Djt52b1UFVbAjJySBk5BGrfU9+4+fWlNXdZykz
 EuyyFhzoNBp+ZJp0keXEmM/EqVn+kZoARj5ajqOUIHDwhQxTbwvADESOJTMQ
 TducW/0TKh4YcDYQ4uV/t284LSxCITgroMcIOSps+pMVTJ76Ab7e+Pp3sWQz
 OpcjVIIkcH5aO25olb5tADMQLk0Dn5XvCw80IanXgtCQvKoFP1eSJ7TmlyG8
 mHPpTUkmehvw9GZen+IDEgGuja8FY1rQ92uz6dBA8T2zNr6WZgRjVHt9diVu
 vdAUqpARodljOrwcGnQ7LoPN65k+1PLaiTMrgNbo3r0EZsCEDjm2h+Idg/EN
 Gc+pe7sZqJr8mViqJyqVoAQDaeYxmTnEeONxkrtvILf9KsUNuPC670CNF5OS
 kpPAyw8Z123vrvqyG1gVbyuAGUySr9MOgqjQWNkAdegwwfaOqwu/YBJmMtHe
 H+AD57Wgewzn2W3WOx4/XPugF5qFbxuADJPkq4whFUKr2X/eXtXHhQ+9GXVH
 Ozk3wjkt2Dcg8p7+L3PdUz3V23wlY9dO9SWWyVvMOVmY1ZDSgpztzb5Rr2SX
 JVCbQbUcIhuJM6gFe46L+OPfdd7xs4MLHstO5t9yTeuxGslA8fvVDuYfR9Av
 FROAP1sV5g0DAGzvIJx/gEw0yhklefmgKP7+A+amLz1d8a9Hj9R/w/ft6reu
 Xkj6qv9DP2UsG8phHCCkxwwYhSufOLO6mqtKKTox2hfiKEmhEVINNNeKzPq/
 Cff9ZW1yZ37N6COGUHPXAuYyLSz65n9ePx5999lnZN2zwE7gJd/izIEnyM51
 3r9pAHitcA1EpaYk0CwwDJZsUmdvf6c6fkMsGMsrST1vFk//VtjemSsGUkaC
 wZK/1sOJW4L/M5uO79DzdwAvAXuNkP7aftLbO15fQnpLABcg6ETWl2GVJIgr
 STkhdQIWxkWweKWYWLnWP7l4vpgqjGePGyWp3aal0kjtoaTDpLNYpSJNesxe
 6P7CbDn6MqWvajgqND1S0Ss052rXkt7Omxf/hgAuBblQ7FaSmCUpCgPKhaRC
 Kyq0pmyBSNcvEulaW6honnLzXIxgUCTGB8kbHhX2GRRnhOSUVgyYASNSMb17
 AE//CSP/pgEuBekA+cpOrJIEjswjz0+SMA3iShIXeuaRIjQGBmhFqCQ5Q5I0
 NBOeZlIq0okk3s6Nb/zCumYAl4IwMytyoBqjYAojEsdIZzHyssjQmLmYjBDt
 2YS5JKFbjb+ygaAT1FsVfsH+H83/egLkzAmYAAAAAElFTkSuQmCC

## mauku 2.0-beta4update1

=== debian/changelog ===
mauku (2.0-beta4update1) unstable; urgency=low

  * Reuploaded to ensure dependency to the latest Microfeed package.

 -- Henrik Hedberg <henrik.hedberg@innologies.fi>  Sat, 10 OCt 2009 14:20:00 +0300

=== debian/rules ===
#!/usr/bin/make -f
  
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

# Add here any variable or target overrides you need.

DEB_MAKE_INSTALL_TARGET=install DESTDIR=$(DEB_DESTDIR)

## mauku 2.0-beta4update2

=== Makefile ===
--- 
+++ 
@@ -19,8 +19,23 @@
 	@cp -f mauku "$(DESTDIR)/usr/bin"
 	@mkdir -p "$(DESTDIR)/usr/share/mauku"
 	@cp -Rf images "$(DESTDIR)/usr/share/mauku"
+	@mkdir -p "$(DESTDIR)/usr/share/icons/hicolor/26x26/hildon"
+	@cp -f data/mauku_logo_26x26.png "$(DESTDIR)/usr/share/icons/hicolor/26x26/hildon/mauku.png"
+	@mkdir -p "$(DESTDIR)/usr/share/icons/hicolor/48x48/hildon"
+	@cp -f data/mauku_logo_48x48.png "$(DESTDIR)/usr/share/icons/hicolor/48x48/hildon/mauku.png"
+	@mkdir -p "$(DESTDIR)/usr/share/icons/hicolor/64x64/hildon"
+	@cp -f data/mauku_logo_64x64.png "$(DESTDIR)/usr/share/icons/hicolor/64x64/hildon/mauku.png"
+	@mkdir -p "$(DESTDIR)/usr/share/dbus-1/services"
+	@cp -f data/mauku.service "$(DESTDIR)/usr/share/dbus-1/services"
+	@mkdir -p "$(DESTDIR)/usr/share/applications/hildon"
+	@cp -f data/mauku.desktop "$(DESTDIR)/usr/share/applications/hildon"
 
 uninstall:
 	@echo Uninstalling...
 	@rm -f "$(DESTDIR)/usr/bin/mauku"
 	@rm -Rf "$(DESTDIR)/usr/share/mauku"
+	@rm -f "$(DESTDIR)/usr/share/icons/hicolor/26x26/mauku.png"
+	@rm -f "$(DESTDIR)/usr/share/icons/hicolor/48x48/mauku.png"
+	@rm -f "$(DESTDIR)/usr/share/icons/hicolor/64x64/mauku.png"
+	@rm -f "$(DESTDIR)/usr/share/dbus-1/services/mauku.service"
+	@rm -f "$(DESTDIR)/usr/share/applications/hildon/mauku.desktop"

=== debian/changelog ===
mauku (2.0-beta4update2) unstable; urgency=low

  * Reuploaded to ensure dependency to the latest Microfeed package.

 -- Henrik Hedberg <henrik.hedberg@innologies.fi>  Sat, 10 OCt 2009 15:40:00 +0300

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: mauku
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, microfeed
+Depends: ${shlibs:Depends}, ${misc:Depends}, microfeed (>= 20091010)
 Description: The micro-blogging client for Maemo devices (application)
  Mauku is the micro-blogging client for Maemo devices.
  It supports, for example, Twitter and compatible services.
